# tys.fitGroups.linkProducts()

> Moves products into the group (they then use its garment).

Source: https://docs.tryyoursize.com/reference/node/fit-groups-link-products/

*Method* · `@tryyoursize/node`

Moves products into the group (they then use its garment).

```ts
linkProducts(id: string, params: LinkProductsRequest, options?: RequestOptions): Promise<FitGroup>
```

## Parameters

- **`id`** (`string`, required): The fit group ID.
- **`params`** (`LinkProductsRequest`, required)
  - **`product_ids`** (`string[]`, required)
- **`options`** (`RequestOptions`, optional)

## Returns

`Promise<FitGroup>`: The fit group.

## Example

**Node.js**

```ts
await tys.fitGroups.linkProducts(group.id, { product_ids: [white.id] });
```

**Python**

```python
tys.fit_groups.link_products(group["id"], product_ids=[white["id"]])
```

**cURL**

```bash
curl -X POST https://api.tryyoursize.com/v1/fit_groups/<fit_group_id>/products \
  -H "Authorization: Bearer $TRYYOURSIZE_SECRET_KEY" \
  -H "TYS-Version: 2026-10-25" \
  -H "Content-Type: application/json" \
  -d '{"product_ids":["<product_id>"]}'
```

## See also

- [fitGroups.linkProducts (HTTP API)](https://docs.tryyoursize.com/api/reference/operations/linkcatalogfitgroupproducts.md)
